{{#unless @isSimple}}
  <Input::ComponentSelectorCol @value={{this.selectedComponent}} @space={{this.space}} @gid={{this.gid}} @onChange={{this.typeChanged}} />

  {{#if this.gid}}
    <div class="text-center">
      <button class="btn btn-link btn-change-component m-2" onClick={{this.toggleChangeGlobalType}} type="button">
        {{t "option-panel.change component type"}}
      </button>
    </div>

    {{#if this.showChangeGlobalType}}
      <div class="component-selector component-selector-change-global">
        <Input::ComponentList @groups={{this.pageCols.groups}} @value={{this.type}} class="p-2" @onChange={{this.changeGlobalType}} />
      </div>
    {{/if}}

    <div class="text-center">
      <button class="btn btn-outline-secondary btn-remove-gid m-2" onClick={{this.removeGid}} type="button">
        {{t "option-panel.unlink global component"}}
      </button>
    </div>
  {{else if (and this.type this.space)}}
    <Input::Manage::ToGlobalPageCol class="m-2 d-grid" @space={{this.space}} @onSubmit={{this.changeGid}} />
  {{/if}}
{{/unless}}

{{#if (and this.isReady this.type this.hasEditor)}}
  {{component this.componentName value=this.value options=@options onChange=this.dataChanged isSimple=@isSimple deviceSize=@deviceSize space=this.space model=@model}}
{{/if}}

<div class="d-none" {{did-update this.reload @value @type @options}}></div>